#include "tile/base/option/json_parser.h"

#include "gtest/gtest.h"

namespace tile {
namespace option {
TEST(JsonParser, Ok)
{
    auto parsed = JsonParser().TryParse(R"({"key": "value"})");
    ASSERT_TRUE(parsed);
    EXPECT_TRUE(parsed->get("key", 1).isString());
    EXPECT_EQ("value", parsed->get("key", "unknown").asString());
}
}// namespace option
}// namespace tile
